Subject: Re: bug#16220: url-http.el: Not conforming to HTTP spec

From: Jarosław Rzeszótko <[email-masked]>
Date: Tue, 24 Dec 2013 09:28:08 +0100

Hi,

There are no "real" HTTP servers that require this, as evidenced by
the fact that none of the popular HTTP clients does this, just have a
look at curl source code or the http library of your favourite
programming language. Frankly, this is broken so obviously I feel
stupid further discussing it.

Cheers,
Jarosław Rzeszótko

2013/12/24 Lars Ingebrigtsen <[email-masked]>:
> Jarosław Rzeszótko <[email-masked]> writes:
>
>> I believe that the person who originally introduced the additional
>> newline most likely was confused by some issue in mediawiki.el itself,
>> a broken HTTP server, a broken PHP script, or something of this kind,
>> and obscured the real bug instead of fixing it:
>
> Well, that's possible.  If there's a significant number of these broken
> HTTP servers, then including the workaround is the correct thing to do.
>
> I don't know whether that's the case, though.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog http://lars.ingebrigtsen.no/